Bug 171459 - New port: finance/trytond_timesheet
Summary: New port: finance/trytond_timesheet
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Wen Heping
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-09-08 17:00 UTC by Matthias Petermann
Modified: 2012-09-14 03:27 UTC (History)
0 users

See Also:


Attachments
file.shar (5.46 KB, text/plain)
2012-09-08 17:00 UTC, Matthias Petermann
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Matthias Petermann 2012-09-08 17:00:19 UTC
This port adds the Timesheet Module to the Tryton Application Platform.

Fix: Patch attached with submission follows:
Comment 1 Wen Heping freebsd_committer 2012-09-10 02:16:49 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wen

I'll take it.
Comment 2 dfilter service freebsd_committer 2012-09-14 02:05:39 UTC
Author: wen
Date: Fri Sep 14 01:05:26 2012
New Revision: 304238
URL: http://svn.freebsd.org/changeset/ports/304238

Log:
  trytond_timesheet is the Timesheet Module to the Tryton Application Platform.
  
  WWW: http://www.tryton.org/
  
  PR:		171459
  Submitted by:	Matthias Petermann <matthias@d2ux.net>

Added:
  head/finance/trytond_timesheet/
  head/finance/trytond_timesheet/Makefile   (contents, props changed)
  head/finance/trytond_timesheet/distinfo   (contents, props changed)
  head/finance/trytond_timesheet/pkg-descr   (contents, props changed)
  head/finance/trytond_timesheet/pkg-plist   (contents, props changed)
Modified:
  head/finance/Makefile

Modified: head/finance/Makefile
==============================================================================
--- head/finance/Makefile	Fri Sep 14 01:00:38 2012	(r304237)
+++ head/finance/Makefile	Fri Sep 14 01:05:26 2012	(r304238)
@@ -114,6 +114,7 @@
     SUBDIR += trytond_currency
     SUBDIR += trytond_party
     SUBDIR += trytond_product
+    SUBDIR += trytond_timesheet
     SUBDIR += venice
     SUBDIR += weberp
     SUBDIR += wmstock

Added: head/finance/trytond_timesheet/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/finance/trytond_timesheet/Makefile	Fri Sep 14 01:05:26 2012	(r304238)
@@ -0,0 +1,24 @@
+# New ports collection makefile for:	trytond_timesheet
+# Date created:		08 September, 2012
+# Whom:			Matthias Petermann<matthias@petermann.it>
+#
+# $FreeBSD$
+#
+
+PORTNAME=	trytond_timesheet
+PORTVERSION=	2.4.0
+CATEGORIES=	finance python
+MASTER_SITES=	http://downloads2.tryton.org/${PORTVERSION:R}/
+
+MAINTAINER=	matthias@petermann.it
+COMMENT=	Tryton Application Platform (Timesheet Module)
+
+LICENSE=	GPLv3
+
+RUN_DEPENDS=	trytond>=2.4.0:${PORTSDIR}/finance/trytond \
+		trytond_company_work_time>=2.4.0:${PORTSDIR}/finance/trytond_company_work_time
+
+USE_PYTHON=	yes
+USE_PYDISTUTILS=easy_install
+
+.include <bsd.port.mk>

Added: head/finance/trytond_timesheet/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/finance/trytond_timesheet/distinfo	Fri Sep 14 01:05:26 2012	(r304238)
@@ -0,0 +1,2 @@
+SHA256 (trytond_timesheet-2.4.0.tar.gz) = 756b0d879ab87c3396d2a2dc69cedf8cd92d9e7042df76408648227424a8bf5d
+SIZE (trytond_timesheet-2.4.0.tar.gz) = 32539

Added: head/finance/trytond_timesheet/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/finance/trytond_timesheet/pkg-descr	Fri Sep 14 01:05:26 2012	(r304238)
@@ -0,0 +1,3 @@
+trytond_timesheet is the Timesheet Module to the Tryton Application Platform.
+
+WWW: http://www.tryton.org/

Added: head/finance/trytond_timesheet/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/finance/trytond_timesheet/pkg-plist	Fri Sep 14 01:05:26 2012	(r304238)
@@ -0,0 +1,45 @@
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/PKG-INFO
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/SOURCES.txt
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/dependency_links.txt
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/entry_points.txt
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/not-zip-safe
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/requires.txt
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/top_level.txt
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/timesheet/__init__.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/timesheet/__init__.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/timesheet/__init__.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/timesheet/__tryton__.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/timesheet/__tryton__.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/timesheet/__tryton__.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/timesheet/line.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/timesheet/line.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/timesheet/line.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/timesheet/line.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/timesheet/locale/bg_BG.po
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/timesheet/locale/ca_ES.po
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/timesheet/locale/cs_CZ.po
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/timesheet/locale/de_DE.po
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/timesheet/locale/es_AR.po
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/timesheet/locale/es_CO.po
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/timesheet/locale/es_ES.po
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/timesheet/locale/fr_FR.po
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/timesheet/locale/nl_NL.po
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/timesheet/locale/ru_RU.po
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/timesheet/tests/__init__.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/timesheet/tests/__init__.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/timesheet/tests/__init__.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/timesheet/tests/test_timesheet.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/timesheet/tests/test_timesheet.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/timesheet/tests/test_timesheet.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/timesheet/timesheet.xml
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/timesheet/work.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/timesheet/work.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/timesheet/work.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/timesheet/work.xml
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/timesheet/tests
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/timesheet/locale
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules/timesheet
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond/modules
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/trytond
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Wen Heping freebsd_committer 2012-09-14 03:27:23 UTC
State Changed
From-To: open->closed

New port added. Thanks!